# Class GeoSurfaceRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.renderspecial.DotsRenderer
org.jmol.renderspecial.GeoSurfaceRenderer

public class GeoSurfaceRenderer extends DotsRenderer

## Field Summary

### Fields inherited from class DotsRenderer

`faceMap, iShowSolid, scrCoords, screenDotCount, screenLevel`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`GeoSurfaceRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`
`protected void`
`renderConvex(short colix, BS visibilityMap, int nPoints)`
generic renderer -- dots and geosurface

### Methods inherited from class DotsRenderer

`initRenderer, render1, renderDots`

### Methods inherited from class ShapeRenderer

`isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeoSurfaceRenderer

public GeoSurfaceRenderer()

## Method Details

### render

protected boolean render()

Overrides:
  `render` in class `DotsRenderer`

### renderConvex

protected void renderConvex(short colix, BS visibilityMap, int nPoints)
Description copied from class: `DotsRenderer`
generic renderer -- dots and geosurface

Overrides:
  `renderConvex` in class `DotsRenderer`
Parameters:
  `colix` -
  `visibilityMap` -
  `nPoints` -